static void hisilicon_1980005_enable(const struct arm64_cpu_capabilities *__unused)
{
	cpus_set_cap(ARM64_HAS_CACHE_IDC);
	arm64_ftr_reg_ctrel0.sys_val |= BIT(CTR_IDC_SHIFT);
	arm64_ftr_reg_ctrel0.strict_mask &= ~BIT(CTR_IDC_SHIFT);
#ifdef CONFIG_IEE
    sysreg_clear_set_iee_si(sctlr_el1, SCTLR_EL1_UCT, 0);
#else
	sysreg_clear_set(sctlr_el1, SCTLR_EL1_UCT, 0);
#endif
}